import * as Joi from 'joi';
import Validations from './services/validations';

module.exports = {
  prepareMessage: (message: string) => {
    let validations = new Validations(message)
    let parsed = JSON.parse(message)
    const result = Joi.validate(parsed, validations.MessageConditions);

    if (result.error) {
      return result
    } else {
      return parsed
    }
  }
}
