import * as WebSocket from 'ws';
import ClientBase from '../clientBase';
import ClientManager from '../../clientManager';
import ChannelManager from '../../channelManager';

var logger = require('../../logger');

class PrivateClient extends ClientBase {
  constructor(data: any, ws: WebSocket, channelManager: ChannelManager, clientManager: ClientManager) {
    super(data, ws, channelManager, clientManager);
    this.roles = data.user_roles
    logger.accessLog.info('Private Client Created', {data: data});
  }
};

export default PrivateClient;

